Page MenuHomePhabricator

Add thumbnail to link preview title.
Closed, ResolvedPublic1 Story Points

Description

Currently, the link preview (the "main" version) doesn't show a thumbnail for its target page. It only shows a gallery of thumbnails, but only if there are three or more images in it. So, the current link preview experience is actually "missing" an important part of the preview.
This will add a thumbnail to the left of the page title, much like in Search results or History.

See 2nd page for size and spacing

  • Event Timeline

    Dbrant created this task.Nov 20 2015, 5:56 PM
    Dbrant raised the priority of this task from to Needs Triage.
    Dbrant updated the task description. (Show Details)
    Dbrant moved this task to Next Sprint on the Wikipedia-Android-App-Backlog board.
    Dbrant added a subscriber: Dbrant.
    Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 20 2015, 5:56 PM
    MBinder_WMF set Security to None.
    MBinder_WMF edited a custom field.
    MBinder_WMF edited a custom field.Nov 20 2015, 6:53 PM
    Dbrant claimed this task.Nov 30 2015, 11:15 PM
    Dbrant moved this task from To Do to Doing on the Mobile-App-Android-Sprint-71-Lutetium board.

    Change 256251 had a related patch set uploaded (by Dbrant):
    Add thumbnail to link preview.

    https://gerrit.wikimedia.org/r/256251

    Change 256251 merged by jenkins-bot:
    Add thumbnail to link preview.

    https://gerrit.wikimedia.org/r/256251

    Dbrant closed this task as Resolved.Dec 7 2015, 4:10 PM